body#find-account {
  .main {
    margin-top: 13.6rem;

    .find-account {
      display: flex;
      justify-content: center;
      width: 100%;

      .find-account__wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 48rem;
        width: 100%;
        padding-inline: var(--spacing-xl);
        margin-top: var(--spacing-xl);

        .find-account__tap-list {
          display: grid;
          grid-template-columns: repeat(2, 1fr);
          width: 100%;
          height: 3.6rem;

          .find-account__tap {
            cursor: pointer;
            display: grid;
            align-items: center;
            width: 100%;
            height: 100%;
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-body-medium-weight);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);

            .find-account__text {
              text-align: center;
            }

            .find-account___indicator {
              align-self: flex-end;
              width: 100%;
              height: 0.3rem;
              border-bottom: 0.1rem solid var(--color-gray-400);
            }
          }

          .find-account__tap--active {
            font-weight: var(--font-weight-bold);
          }

          .find-account__tap--active .find-account___indicator {
            background-color: var(--color-gray-100);
            border-bottom: none;
          }
        }
      }
    }

    .input-btn {
      text-align: center;
      display: inline-flex;
      align-items: center;
      justify-content: center;
    }

    .find-id {
      width: 100%;
      margin-top: var(--spacing-3xl);

      .find-id-first-step {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-3xl);
        width: 100%;

        .find-id-first-step__guide {
          display: flex;
          flex-direction: column;
          align-items: center;

          span {
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-body-medium-weight);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);
          }
        }

        .find-id-first-step__input--hidden {
          display: none;
        }

        .find-id-first-step__phone-auth {
          display: flex;
          flex-direction: column;
          align-items: center;
          gap: var(--spacing-md);
          width: 100%;
        }

        .find-id-first-step__sms-btn,
        .find-id-first-step__verify-btn {
          width: 100%;
          text-align: center; // ¹öÆ° Áß¾ÓÁ¤·Ä º¸°­
        }

        .find-id-first-step__smscode--hidden {
          display: none;
        }
        .find-id-first-step__sms-meta--hidden {
          display: none;
        }
        .find-id-first-step__verify-btn--hidden {
          display: none;
        }

        .find-id-first-step__sms-meta {
          display: flex;
          align-items: center;
          justify-content: space-between;
          gap: var(--spacing-md);
          padding-inline: var(--spacing-xs);
          width: 100%;

          .find-id-first-step__sms-guide {
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
            white-space: nowrap;
          }

          .find-id-first-step__resend-btn {
            background: none;
            border: none;
            padding: 0;
            cursor: pointer;
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
            white-space: nowrap;
            text-decoration: underline;
          }
        }
      }

      .find-id-first-step--hidden {
        display: none;
      }

      .find-id-third-step {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-3xl);
        width: 100%;

        .find-id-third-step__guide {
          display: flex;
          flex-direction: column;
          align-items: center;

          span {
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-body-medium-weight);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);
          }
        }

        .find-id-third-step__id-list {
          display: flex;
          flex-direction: column;
          align-items: center;
          gap: var(--spacing-md);
          padding-block: var(--spacing-lg);
          background-color: var(--color-gray-600);

          li {
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-body-medium-weight);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);
          }
        }

        .find-id-third-step__reset-btn {
          margin-top: var(--spacing-xl);
          width: 100%;
        }

        .find-id-third-step__cta-btn {
          width: 100%;
          margin-top: var(--spacing-md);
        }
      }

      .find-id-third-step--hidden {
        display: none;
      }
    }

    .find-id--hidden {
      display: none;
    }

    .find-password {
      width: 100%;
      margin-top: var(--spacing-3xl);

      .find-password-first-step {
        width: 100%;

        .find-password-first-step__btn {
          margin-top: var(--spacing-2xl);
        }
      }

      .find-password-first-step--hidden {
        display: none;
      }

      .find-password-second-step {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-3xl);
        width: 100%;

        .find-password-second-step__guide {
          display: flex;
          flex-direction: column;
          align-items: center;
          gap: var(--spacing-lg);

          .find-password-second-step__guide-title {
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-body-medium-m-weight);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);
          }

          .find-password-second-step__guide-main {
            display: flex;
            flex-direction: column;
            align-items: center;
            font-size: var(--font-label-large-size);
            font-weight: var(--font-label-large-weight);
            line-height: var(--font-label-large-line-height);
            letter-spacing: var(--font-label-large-letter-spacing);

            .find-password-second-step__guide-phone {
              font-weight: var(--font-label-large-m-weight);
            }
          }

          .find-password-second-step__guide-footer {
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
          }
        }

        .find-password-second-step__otp {
          display: flex;
          flex-direction: column;
          gap: var(--spacing-md);
          width: 100%;
          align-items: stretch;
        }

        .find-password-second-step__form {
          width: 100%;

          .text-input {
            width: 100%;
          }

          input {
            width: 100%;
          }
        }

        .find-password-second-step__sms-meta {
          display: flex;
          align-items: center;
          justify-content: space-between;
          gap: var(--spacing-md);
          padding-inline: var(--spacing-xs);
          width: 100%;

          .find-password-second-step__sms-guide {
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
            white-space: nowrap;
          }

          .find-password-second-step__resend-btn {
            background: none;
            border: none;
            padding: 0;
            cursor: pointer;
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
            white-space: nowrap;
            text-decoration: underline;
          }
        }
      }

      .find-password-second-step--hidden {
        display: none;
      }

      .find-password-third-step {
        display: flex;
        flex-direction: column;
        gap: var(--spacing-3xl);
        width: 100%;

        .find-password-third-step__guide {
          display: flex;
          flex-direction: column;
          align-items: center;
          gap: var(--spacing-md);

          .find-password-third-step__guide-title {
            font-size: var(--font-body-medium-size);
            font-weight: var(--font-weight-bold);
            line-height: var(--font-body-medium-line-height);
            letter-spacing: var(--font-body-medium-letter-spacing);
          }

          .find-password-third-step__guide-footer {
            color: var(--color-gray-400);
            font-size: var(--font-label-medium-size);
            font-weight: var(--font-label-medium-weight);
            line-height: var(--font-label-medium-line-height);
            letter-spacing: var(--font-label-medium-letter-spacing);
          }
        }

        #find-password-save-btn {
          margin-top: var(--spacing-xl);
          width: 100%;
        }
      }

      .find-password-third-step--hidden {
        display: none;
      }
    }

    .find-password--hidden {
      display: none;
    }
  }
}